Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OutBinary Class Reference

Formats data binary to be used in streams. More...

`#include <OutStreams.h>`

Inheritance diagram for OutBinary:

[legend]
Collaboration diagram for OutBinary:

[legend]
List of all members.

## Protected Member Functions
virtual void | writeChar (char d, PhysicalOutStream &stream)
| Writes a character to a stream.
virtual void | writeUChar (unsigned char d, PhysicalOutStream &stream)
| Writes a unsigned character to a stream.
virtual void | writeShort (short d, PhysicalOutStream &stream)
| Writes a short to a stream.
virtual void | writeUShort (unsigned short d, PhysicalOutStream &stream)
| Writes a unsigned short to a stream.
virtual void | writeInt (int d, PhysicalOutStream &stream)
| Writes a int to a stream.
virtual void | writeUInt (unsigned int d, PhysicalOutStream &stream)
| Writes a unsigned int to a stream.
virtual void | writeLong (long d, PhysicalOutStream &stream)
| Writes a long to a stream.
virtual void | writeULong (unsigned long d, PhysicalOutStream &stream)
| Writes a unsigned long to a stream.
virtual void | writeFloat (float d, PhysicalOutStream &stream)
| Writes a float to a stream.
virtual void | writeDouble (double d, PhysicalOutStream &stream)
| Writes a double to a stream.
virtual void | writeString (const char *d, PhysicalOutStream &stream)
| Writes a string to a stream.
virtual void | writeEndL (PhysicalOutStream &stream)
| Writes a 'end of line' to a stream.
virtual void | writeData (const void *p, int size, PhysicalOutStream &stream)
| The function writes a number of bytes into the stream.

## Detailed Description

Formats data binary to be used in streams.

The physical writing is then done by OutStream derivates.

Definition at line 239 of file OutStreams.h.

## Member Function Documentation

virtual void OutBinary::writeChar | ( | char | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a character to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 247 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeUChar | ( | unsigned char | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a unsigned character to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 255 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeShort | ( | short | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a short to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 263 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeUShort | ( | unsigned short | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a unsigned short to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 271 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeInt | ( | int | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a int to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 279 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeUInt | ( | unsigned int | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a unsigned int to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 287 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeLong | ( | long | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a long to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 295 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeULong | ( | unsigned long | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a unsigned long to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 303 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeFloat | ( | float | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a float to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 311 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeDouble | ( | double | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a double to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 319 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeString | ( | const char * | d,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | Writes a string to a stream. Parameters:
  d | the data to write.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 327 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

virtual void OutBinary::writeEndL | ( | PhysicalOutStream & | stream | ) | `[inline, protected, virtual]`

  | Writes a 'end of line' to a stream. Parameters:
  stream | the stream to write on.
Implements StreamWriter. Definition at line 334 of file OutStreams.h.

virtual void OutBinary::writeData | ( | const void * | p,
|  | int | size,
|  | PhysicalOutStream & | stream
| ) | `[inline, protected, virtual]`

  | The function writes a number of bytes into the stream. Parameters:
  p | The address the data is located at.
  size | The number of bytes to be written.
  stream | the stream to write on.
Implements StreamWriter. Definition at line 342 of file OutStreams.h. References PhysicalOutStream::writeToStream().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Tools/Streams/OutStreams.h